Subject: [MMUSIC] SDP Offer Answer Examples - draft-ietf-mmusic-offer-answer-examples-05.txt

From: "Lyons, Terry" <[email-masked]>
Date: Thu, 19 May 2005 12:06:15 -0400

Thank you for many instructive examples.
May I suggest two clarifications and one correction?

2.3  Audio and Video 3

   "Note: change of dynamic payload type from 97 to 99 between the offer
   and the answer is OK since it references same codec."

 - Clarification: What payload types should Alice and Bob transmit as a consequence?
	
   We need a clarification because some may assume that the payload type should
   be symmetric, hence that both should send 99.  In fact, Bob still sends 97.
   Each must send what the other expects to receive.  Per RFC 3264 section 5.1 etc,
   that is specified in the SDP that the other sent.  Thus, the rule is to SEND RTP
   with the payload type that was present in the SDP you RECEIVED.

   See http://www1.ietf.org/mail-archive/web/mmusic/current/msg03327.html

3.2  Hold with Two Streams

   "Alice responds with identical SDP to the initial offer."

 - Correction:  According to RFC 3264 section 6.1:  "If a stream is offered as sendonly,
   the corresponding stream MUST be marked as recvonly or inactive in the answer."

   The first audio stream is marked a=sendonly in [Second-Offer] but is unmarked
   in [Second-Answer].

8  Informative References

 - Clarification:  Do you not consider RFC 3264 to be a Normative Reference?

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic